@charset "UTF-8";
/* Import ET Book styles
   adapted from https://github.com/edwardtufte/et-book/blob/gh-pages/et-book.css */
/* Tufte CSS styles */
html {
  font-size: 11px; }

body {
  width: 87.5%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 12.5%;
  font-family: et-book, Palatino, "Palatino Linotype", "Palatino LT STD", "Book Antiqua", Georgia, serif;
  background-color: #fffff8;
  color: #111;
  max-width: 1400px;
  counter-reset: sidenote-counter; }

h1 {
  font-weight: 400;
  margin-top: 1rem;
  margin-bottom: 1.5rem;
  font-size: 2.5rem;
  line-height: 1; }

h2 {
  font-style: italic;
  font-weight: 400;
  margin-top: 1.4rem;
  margin-bottom: 1.4rem;
  font-size: 2.2rem;
  line-height: 1; }

h3 {
  font-style: italic;
  font-weight: 400;
  font-size: 1.14rem;
  margin-top: 2rem;
  margin-bottom: 1.4rem;
  line-height: 1; }

hr {
  display: block;
  height: 1px;
  width: 55%;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0; }

p.subtitle {
  font-style: italic;
  margin-top: 1rem;
  margin-bottom: 1rem;
  font-size: 1.8rem;
  display: block;
  line-height: 1; }

.numeral {
  font-family: et-book-roman-old-style; }

.danger {
  color: red; }

article {
  position: relative;
  padding: 0.5rem 0rem; }

section {
  padding-top: 1rem;
  padding-bottom: 1rem; }

p, ol, ul {
  font-size: 1.4rem;
  line-height: 2rem; }

p {
  margin-top: 1.4rem;
  margin-bottom: 1.4rem;
  padding-right: 0;
  vertical-align: baseline; }

/* Chapter Epigraphs */
div.epigraph {
  margin: 5em 0; }

div.epigraph > blockquote {
  margin-top: 3em;
  margin-bottom: 3em; }

div.epigraph > blockquote, div.epigraph > blockquote > p {
  font-style: italic; }

div.epigraph > blockquote > footer {
  font-style: normal; }

div.epigraph > blockquote > footer > cite {
  font-style: italic; }

/* end chapter epigraphs styles */
blockquote {
  font-size: 1.4rem; }

blockquote p {
  width: 55%;
  margin-right: 40px; }

blockquote footer {
  width: 55%;
  font-size: 1.1rem;
  text-align: right; }

section > p, section > footer, section > table {
  width: 55%; }

/* 50 + 5 == 55, to be the same width as paragraph */
section > ol, section > ul {
  width: 50%;
  -webkit-padding-start: 5%; }

li {
  padding: 0; }

li:not(:first-child) {
  margin-top: 0.25rem; }

figure {
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  max-width: 55%;
  -webkit-margin-start: 0;
  -webkit-margin-end: 0;
  margin: 0 0 3em 0; }

figcaption {
  float: right;
  clear: right;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1.1rem;
  line-height: 1.6;
  vertical-align: baseline;
  position: relative;
  max-width: 40%; }

figure.fullwidth figcaption {
  margin-right: 24%; }

/* Links: replicate underline that clears descenders */
a:link, a:visited {
  color: inherit; }

a:link {
  text-decoration: none;
  background: -webkit-linear-gradient(#fffff8, #fffff8), -webkit-linear-gradient(#fffff8, #fffff8), -webkit-linear-gradient(#333, #333);
  background: linear-gradient(#fffff8, #fffff8), linear-gradient(#fffff8, #fffff8), linear-gradient(#333, #333);
  -webkit-background-size: 0.05em 1px, 0.05em 1px, 1px 1px;
  -moz-background-size: 0.05em 1px, 0.05em 1px, 1px 1px;
  background-size: 0.05em 1px, 0.05em 1px, 1px 1px;
  background-repeat: no-repeat, no-repeat, repeat-x;
  text-shadow: 0.03em 0 #fffff8, -0.03em 0 #fffff8, 0 0.03em #fffff8, 0 -0.03em #fffff8, 0.06em 0 #fffff8, -0.06em 0 #fffff8, 0.09em 0 #fffff8, -0.09em 0 #fffff8, 0.12em 0 #fffff8, -0.12em 0 #fffff8, 0.15em 0 #fffff8, -0.15em 0 #fffff8;
  background-position: 0% 93%, 100% 93%, 0% 93%; }

@media screen and (-webkit-min-device-pixel-ratio: 0) {
  a:link {
    background-position-y: 87%, 87%, 87%; } }
a:link::selection {
  text-shadow: 0.03em 0 #b4d5fe, -0.03em 0 #b4d5fe, 0 0.03em #b4d5fe, 0 -0.03em #b4d5fe, 0.06em 0 #b4d5fe, -0.06em 0 #b4d5fe, 0.09em 0 #b4d5fe, -0.09em 0 #b4d5fe, 0.12em 0 #b4d5fe, -0.12em 0 #b4d5fe, 0.15em 0 #b4d5fe, -0.15em 0 #b4d5fe;
  background: #b4d5fe; }

a:link::-moz-selection {
  text-shadow: 0.03em 0 #b4d5fe, -0.03em 0 #b4d5fe, 0 0.03em #b4d5fe, 0 -0.03em #b4d5fe, 0.06em 0 #b4d5fe, -0.06em 0 #b4d5fe, 0.09em 0 #b4d5fe, -0.09em 0 #b4d5fe, 0.12em 0 #b4d5fe, -0.12em 0 #b4d5fe, 0.15em 0 #b4d5fe, -0.15em 0 #b4d5fe;
  background: #b4d5fe; }

/* Sidenotes, margin notes, figures, captions */
img {
  max-width: 100%; }

.sidenote, .marginnote {
  float: right;
  clear: right;
  margin-right: -60%;
  width: 50%;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1.1rem;
  line-height: 1.3;
  vertical-align: baseline;
  position: relative; }

.sidenote-number {
  counter-increment: sidenote-counter; }

.sidenote-number:after, .sidenote:before {
  font-family: et-book-roman-old-style;
  position: relative;
  vertical-align: baseline; }

.sidenote-number:after {
  content: counter(sidenote-counter);
  font-size: 1rem;
  top: -0.5rem;
  left: 0.1rem; }

.sidenote:before {
  content: counter(sidenote-counter) " ";
  top: -0.5rem; }

blockquote .sidenote, blockquote .marginnote {
  margin-right: -82%;
  min-width: 59%;
  text-align: left; }

div.fullwidth, table.fullwidth {
  width: 100%; }

div.table-wrapper {
  overflow-x: auto;
  font-family: "Trebuchet MS", "Gill Sans", "Gill Sans MT", sans-serif; }

.sans {
  font-family: "Gill Sans", "Gill Sans MT", Calibri, sans-serif;
  letter-spacing: .03em; }

code {
  font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
  font-size: 1.0rem;
  line-height: 1.42; }

.sans > code {
  font-size: 1.2rem; }

h1 > code, h2 > code, h3 > code {
  font-size: 0.80em; }

.marginnote > code, .sidenote > code {
  font-size: 1rem; }

pre.code {
  font-size: 0.9rem;
  width: 52.5%;
  margin-left: 2.5%;
  overflow-x: auto; }

pre.code.fullwidth {
  width: 90%; }

.fullwidth {
  max-width: 90%;
  clear: both; }

span.newthought {
  font-variant: small-caps;
  font-size: 1.2em; }

input.margin-toggle {
  display: none; }

label.sidenote-number {
  display: inline; }

label.margin-toggle:not(.sidenote-number) {
  display: none; }

.iframe-wrapper {
  position: relative;
  padding-bottom: 56.25%;
  /* 16:9 */
  padding-top: 25px;
  height: 0; }

.iframe-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; }

@media (max-width: 760px) {
  body {
    width: 84%;
    padding-left: 8%;
    padding-right: 8%; }

  section > p, section > footer, section > table {
    width: 100%; }

  pre.code {
    width: 97%; }

  section > ol {
    width: 90%; }

  section > ul {
    width: 90%; }

  figure {
    max-width: 90%; }

  figcaption, figure.fullwidth figcaption {
    margin-right: 0%;
    max-width: none; }

  blockquote {
    margin-left: 1.5em;
    margin-right: 0em; }

  blockquote p, blockquote footer {
    width: 100%; }

  label.margin-toggle:not(.sidenote-number) {
    display: inline; }

  .sidenote, .marginnote {
    display: none; }

  .margin-toggle:checked + .sidenote,
  .margin-toggle:checked + .marginnote {
    display: block;
    float: left;
    left: 1rem;
    clear: both;
    width: 95%;
    margin: 1rem 2.5%;
    vertical-align: baseline;
    position: relative; }

  label {
    cursor: pointer; }

  div.table-wrapper, table {
    width: 85%; }

  img {
    width: 100%; } }
/* The default x-height for code is slightly too large in side notes */
.marginnote code,
.sidenote code {
  font-size: 0.9rem; }

/* ... and slightly to small in body text. */
code {
  font-size: 1.1rem; }

/* Make "Home" link small */
p.signoff {
  font-size: 1.2rem; }

body {
  max-width: 1150px; }

/*
 * Proper wrapping for lists that occur outside of sections.
 */
section > ol,
article > ol,
section > ul,
article > ul {
  width: 50%;
  -webkit-padding-start: 5%; }

@media (max-width: 760px) {
  section > ol,
  article > ol,
  section > ul,
  article > ul {
    width: 90%; } }
/*
 * Enable hyphens on supported platforms
 */
article {
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto; }

/* Sidenotes end up with a bunch of hyphens because they're so small */
.sidenote,
.marginnote {
  hyphens: none; }

/* For smart quotes */
q {
  quotes: "“" "”" "‘" "’"; }

/* Override section behavior.
 * We only want the top-level <section> to have padding.
 * This makes it easier to work with --section-divs. */
section {
  padding-top: initial;
  padding-bottom: initial; }

article > section {
  padding-top: 1rem;
  padding-bottom: 1rem; }

/* Make byline (date and/or author) small */
p.byline {
  font-size: 1.2rem; }

/* Simulate Pandoc's table output styles */
table {
  border-top: 2px solid black;
  border-bottom: 2px solid black; }

th {
  border-bottom: 1px solid black; }

td, th {
  font-size: 1.4rem;
  padding: 10px;
  text-align: left; }

/* Allow tables to be full width
 * if they're wrapped in a figure.fullwidth
 * (Easier to insert from Pandoc than manually adding table) */
figure.fullwidth table {
  width: 90%; }

@media (max-width: 760px) {
  figure.fullwidth table {
    width: 100%; } }
/* Code blocks
 *
 * Code blocks with a language look like div.sourceCode > pre.sourceCode
 * Otherwise, it's just a pre (without .sourceCode) */
div.sourceCode,
pre:not(.sourceCode) {
  padding: 1.4rem;
  margin: -0.7rem -1.4rem;
  width: 55%;
  font-size: 0.9rem;
  overflow-x: auto; }

div.sourceCode code,
pre:not(.sourceCode) code {
  font-size: 0.9rem; }

.fullwidth div.sourceCode,
.fullwidth pre:not(.sourceCode) {
  width: 100%; }

/* We've handled all the margin/padding on the outer-most div.sourceCode */
div.sourceCode pre {
  padding: 0;
  margin: 0; }

@media (max-width: 760px) {
  div.sourceCode,
  pre:not(.sourceCode) {
    width: 100%; } }
/* Pandoc-generated line numbers need the same stylings as normal <code> */
.lineNumbers pre {
  line-height: 1.42;
  font-size: 0.9rem; }

div.sourceCode, pre:not(.sourceCode) {
  background: #FDF6E3; }

pre code {
  color: #657B83; }

code > span.kw {
  color: #859900;
  font-weight: bold;
  font-style: normal; }

/* Keyword */
code > span.dt {
  color: #B58900;
  font-weight: normal;
  font-style: normal; }

/* DataType */
code > span.dv {
  color: #2AA198;
  font-weight: normal;
  font-style: normal; }

/* DecVal */
code > span.bn {
  color: #2AA198;
  font-weight: normal;
  font-style: normal; }

/* BaseN */
code > span.fl {
  color: #2AA198;
  font-weight: normal;
  font-style: normal; }

/* Float */
code > span.ch {
  color: #2AA198;
  font-weight: normal;
  font-style: normal; }

/* Char */
code > span.st {
  color: #2AA198;
  font-weight: normal;
  font-style: normal; }

/* String */
code > span.co {
  color: #93A1A1;
  font-weight: normal;
  font-style: italic; }

/* Comment */
code > span.ot {
  color: #268BD2;
  font-weight: normal;
  font-style: normal; }

/* Other */
code > span.al {
  color: #DC322F;
  font-weight: bold;
  font-style: normal; }

/* Alert */
code > span.fu {
  color: #268BD2;
  font-weight: normal;
  font-style: normal; }

/* Function */
code > span.er {
  color: #DC322F;
  font-weight: bold;
  font-style: normal; }

/* Error */
code > span.wa {
  color: #CB4B16;
  font-weight: bold;
  font-style: italic; }

/* Warning */
code > span.cn {
  color: #2AA198;
  font-weight: normal;
  font-style: normal; }

/* Constant */
code > span.sc {
  color: #DC322F;
  font-weight: normal;
  font-style: normal; }

/* SpecialChar */
code > span.vs {
  color: #657B83;
  font-weight: normal;
  font-style: normal; }

/* VerbatimString */
code > span.ss {
  color: #DC322F;
  font-weight: normal;
  font-style: normal; }

/* SpecialString */
code > span.im {
  color: #657B83;
  font-weight: normal;
  font-style: normal; }

/* Import */
code > span.va {
  color: #268BD2;
  font-weight: normal;
  font-style: normal; }

/* Variable */
code > span.cf {
  color: #859900;
  font-weight: bold;
  font-style: normal; }

/* ControlFlow */
code > span.op {
  color: #859900;
  font-weight: bold;
  font-style: normal; }

/* Operator */
code > span.bu {
  color: #657B83;
  font-weight: normal;
  font-style: normal; }

/* BuiltIn */
code > span.ex {
  color: #657B83;
  font-weight: normal;
  font-style: normal; }

/* Extension */
code > span.pp {
  color: #CB4B16;
  font-weight: normal;
  font-style: normal; }

/* Preprocessor */
code > span.at {
  color: #657B83;
  font-weight: normal;
  font-style: normal; }

/* Attribute */
code > span.do {
  color: #93A1A1;
  font-weight: normal;
  font-style: italic; }

/* Documentation */
code > span.an {
  color: #93A1A1;
  font-weight: bold;
  font-style: italic; }

/* Annotation */
code > span.cv {
  color: #93A1A1;
  font-weight: bold;
  font-style: italic; }

/* CommentVar */
code > span.in {
  color: #93A1A1;
  font-weight: bold;
  font-style: italic; }

/* Information */
